Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.world.gen.feature
Class WorldGenerator

    java.lang.Object
      net.minecraft.world.gen.feature.WorldGenerator

Direct Known Subclasses:
  WorldGenBigMushroom, WorldGenBigTree, WorldGenCactus, WorldGenClay, WorldGenDeadBush, WorldGenDesertWells, WorldGenDungeons, WorldGeneratorBonusChest, WorldGenFire, WorldGenFlowers, WorldGenForest, WorldGenGlowStone1, WorldGenGlowStone2, WorldGenHellLava, WorldGenHugeTrees, WorldGenLakes, WorldGenLiquids, WorldGenMinable, WorldGenPumpkin, WorldGenReed, WorldGenSand, WorldGenShrub, WorldGenSpikes, WorldGenSwamp, WorldGenTaiga1, WorldGenTaiga2, WorldGenTallGrass, WorldGenTrees, WorldGenVines, WorldGenWaterlily

    public abstract class WorldGenerator

extends Object

Constructor Summary
`WorldGenerator()`
`WorldGenerator(boolean par1)`

Method Summary
`abstract boolean` | `generate(World var1, Random var2, int var3, int var4, int var5)`
`void` | `setScale(double par1, double par3, double par5)` Rescales the generator settings, only used in WorldGenBigTree

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorldGenerator

    public WorldGenerator()

### WorldGenerator

    public WorldGenerator(boolean par1)

Method Detail

### generate

    public abstract boolean generate(World var1,
                                     Random var2,
                                     int var3,
                                     int var4,
                                     int var5)

### setScale

    public void setScale(double par1,
                         double par3,
                         double par5)

  Rescales the generator settings, only used in WorldGenBigTree

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD